CMAP_FINALIZE(3)

NAME

cmap_finalize - Finalize connection to CMAP

SYNOPSIS

#include <corosync/cmap.h>

cs_error_t cmap_finalize (cmap_handle_t handle);

DESCRIPTION

The cmap_finalize function is used to to close a connection to the CMAP API. Once the connection is finalized, the handle may not be used again by applications. No more callbacks will be dispatched from the cmap_dispatch function.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned. CS_ERR_BAD_HANDLE error is returned when handle is invalid.

SEE ALSO
cmap_initialize(3), cmap_dispatch(3), cmap_overview(8)

CS_ERR_TRY_AGAIN Resource temporarily unavailable CS_ERR_INVALID_PARAM Invalid argument CS_ERR_ACCESS Permission denied CS_ERR_LIBRARY The connection failed CS_ERR_INTERRUPT System call interrupted by a signal CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported CS_ERR_MESSAGE_ERROR Incorrect auth message received CS_ERR_NO_MEMORY Not enough memory to complete the requested task